#!/bin/bash
/usr/bin/apt-get update
/usr/bin/apt-get install mc cmake libmysql++-dev libmysql++3 zip unzip ssh -y

#Instalar MYSQL sem senha
export DEBIAN_FRONTEND=noninteractive
apt-get -q -y install mysql-server

#configurar SENHA do MYSQL
mysqladmin -u root password root


#bcm2835
wget www.lt38c.hturbo.com/bcm2835-1.45.tar.gz -O /tmp/bcm2835.tar.gz
cd /tmp
tar -zxvf bcm2835.tar.gz
cd bcm2835-1.45
./configure
make #compilar
make check #checar
make install #instalar

#wiringPi
cd /tmp
wget www.lt38c.hturbo.com/wiringPi-5edd177.tar.gz -O /tmp/wiringPi.tar.gz
tar -zxvf wiringPi.tar.gz
cd wiringPi-5edd177
./build #compila,checa e instala

#SensorTemperatura
sudo modprobe w1-gpio
sudo modprobe w1-therm

#RTC Timer (Para raspberry
sudo modprobe rtc-ds1307
echo ds1307 0x68 > /sys/class/i2c-adapter/i2c-1/new_device

#Criacao de pastas e downloads
mkdir /lt38c
mkdir /lt38c/2015_2s_TemperaturaRTC
mkdir /lt38c/2015_2s_TemperaturaRTC/arquivos.sys
mkdir /lt38c/2015_2s_TemperaturaRTC/fontes.c
mkdir /lt38c/2015_2s_TemperaturaRTC/maff-mht
mkdir /lt38c/2015_2s_TemperaturaRTC/mysql.sql
mkdir /lt38c/2015_2s_TemperaturaRTC/site
mkdir /lt38c/2015_2s_TemperaturaRTC/history
mkdir /lt38c/2015_2s_TemperaturaRTC/exe
mkdir /lt38c/2015_2s_TemperaturaRTC/videos
mkdir /lt38c/2015_2s_TemperaturaRTC/apt

#bkp da pasta apt
wget www.lt38c.hturbo.com/Projetos/2015_2s_TemperaturaRTC/apt/apt.tar.gz -O /tmp/apt.tar.gz
cd /tmp
tar -zxvf apt.tar.gz 

cp /tmp/apt /lt38c/2015_2s_TemperaturaRTC/apt
cp /lt38c/2015_2s_TemperaturaRTC/apt/apt /etc/apt

cp /tmp/archives /lt38c/2015_2s_TemperaturaRTC/apt
cp /lt38c/2015_2s_TemperaturaRTC/apt/archives /var/cache/apt/archives

cp /tmp/lists /lt38c/2015_2s_TemperaturaRTC/apt
cp /lt38c/2015_2s_TemperaturaRTC/apt/lists /var/lib/apt/lists

#bkp dos arquivos.sys
wget www.lt38c.hturbo.com/Projetos/2015_2s_TemperaturaRTC/arquivos.sys/config.txt -O /tmp/config.txt
chmod 755 /tmp/config.txt
chown root:root /tmp/config.txt
cp /tmp/config.txt /lt38c/2015_2s_TemperaturaRTC/arquivos.sys
cp /lt38c/2015_2s_TemperaturaRTC/arquivos.sys/config.txt /boot

wget www.lt38c.hturbo.com/Projetos/2015_2s_TemperaturaRTC/arquivos.sys/profile -O /tmp/profile
chmod 644 /tmp/profile
chown root:root /tmp/profile
cp /tmp/profile /lt38c/2015_2s_TemperaturaRTC/arquivos.sys
cp /lt38c/2015_2s_TemperaturaRTC/arquivos.sys/profile /etc

wget www.lt38c.hturbo.com/Projetos/2015_2s_TemperaturaRTC/arquivos.sys/.bashrc -O /tmp/.bashrc
chmod 644 /tmp/.bashrc
chown root:root /tmp/.bashrc
cp /tmp/.bashrc /lt38c/2015_2s_TemperaturaRTC/arquivos.sys
cp /lt38c/2015_2s_TemperaturaRTC/arquivos.sys/.bashrc /etc/default

wget www.lt38c.hturbo.com/Projetos/2015_2s_TemperaturaRTC/arquivos.sys/keyboard -O /tmp/keyboard
chmod 644 /tmp/keyboard
chown root:root /tmp/keyboard
cp /tmp/keyboard /lt38c/2015_2s_TemperaturaRTC/arquivos.sys
cp /lt38c/2015_2s_TemperaturaRTC/arquivos.sys/keyboard /etc/default

wget www.lt38c.hturbo.com/Projetos/2015_2s_TemperaturaRTC/arquivos.sys/timezone -O /tmp/timezone
chmod 644 /tmp/timezone
chown root:root /tmp/timezone
cp /tmp/timezone /lt38c/2015_2s_TemperaturaRTC/arquivos.sys
cp /lt38c/2015_2s_TemperaturaRTC/arquivos.sys/timezone /etc

wget www.lt38c.hturbo.com/Projetos/2015_2s_TemperaturaRTC/arquivos.sys/inittab -O /tmp/inittab
chmod 644 /tmp/inittab
chown root:root /tmp/initab
cp /tmp/inittab /lt38c/2015_2s_TemperaturaRTC/arquivos.sys
cp /lt38c/2015_2s_TemperaturaRTC/arquivos.sys/inittab /etc
#fim do bkp dos arquivos.sys


wget www.lt38c.hturbo.com/Projetos/2015_2s_TemperaturaRTC/history/history -O /tmp/history
cp /tmp/history /lt38c/2015_2s_TemperaturaRTC/history


#bkp do FONTES.C
wget www.lt38c.hturbo.com/Projetos/2015_2s_TemperaturaRTC/fontes.c/temperaturateste.c -O /tmp/temperaturateste.c
cp /tmp/temperaturateste.c /lt38c/2015_2s_TemperaturaRTC/fontes.c

wget www.lt38c.hturbo.com/Projetos/2015_2s_TemperaturaRTC/fontes.c/saidasrelogio.txt -O /tmp/saidasrelogio.txt
cp /tmp/saidasrelogio.txt /lt38c/2015_2s_TemperaturaRTC/fontes.c

wget www.lt38c.hturbo.com/Projetos/2015_2s_TemperaturaRTC/fontes.c/verificarconexao.sh -O /tmp/verificarconexao.sh
cp /tmp/verificarconexao.sh /lt38c/2015_2s_TemperaturaRTC/fontes.c
chmod 777 /lt38c/2015_2s_TemperaturaRTC/fontes.c/verificarconexao.sh #Permissao total de script
#fim do bkp da FONTE.C



#bkp do video 
#fim do kkp do video

#bkp dos maff
wget www.lt38c.hturbo.com/Projetos/2015_2s_TemperaturaRTC/maff-mht/maffTemperaturaRTC.tar.gz -O /tmp/maffTemperaturaRTC.tar.gz
chmod 644 /tmp/maff.tar.gz
chown root:root /tmp/maff.tar.gz
cp /tmp/maffTemperaturaRTC.tar.gz /lt38c/2015_2s_TemperaturaRTC/maff-mht/maffTemperaturaRTC.tar.gz
cd /lt38c/2015_2s_TemperaturaRTC/maff-mht/
tar -zxvf maffTemperaturaRTC.tar.gz
rm -rf *.gz
cd /tmp
#fim do bkp maff

#bkp do BANCO DE DADOS
wget www.lt38c.hturbo.com/Projetos/2015_2s_TemperaturaRTC/mysql.sql/TemperaturaRTC.sql -O /tmp/TemperaturaRTC.sql
cp /tmp/TemperaturaRTC.sql /lt38c/2015_2s_TemperaturaRTC/mysql.sql

#Restaurar BANCO DE DADOS
cd /lt38c/2015_2s_TemperaturaRTC/mysql.sql
mysql -u root -proot -Bse "create database TemperaturaRTC"
cat TemperaturaRTC.sql | mysql -u root -proot TemperaturaRTC

#Compilaao do programa
cd /lt38c/2015_2s_TemperaturaRTC/fontes.c/
sudo gcc -Wall -lmysqlclient -o /lt38c/2015_2s_TemperaturaRTC/exe/finalTempRTC temperaturateste.c
